summaryrefslogtreecommitdiffstats
path: root/package/base-files/files.old/lib/preinit/99_10_mount_no_mtd
diff options
context:
space:
mode:
authorblogic <blogic@3c298f89-4303-0410-b956-a3cf2f4a3e73>2013-04-25 19:02:32 +0000
committerblogic <blogic@3c298f89-4303-0410-b956-a3cf2f4a3e73>2013-04-25 19:02:32 +0000
commitb5367474cba180d7b2555e4e30421a7340f63264 (patch)
tree081ef59391b9859af54a286bc74b9bb533cfcb58 /package/base-files/files.old/lib/preinit/99_10_mount_no_mtd
parent533fc89abaf81ccf6965f1d1c917421238a83817 (diff)
mount_root: prepare base-files
Signed-off-by: John Crispin <blogic@openwrt.org> git-svn-id: svn://svn.openwrt.org/openwrt/trunk@36429 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/files.old/lib/preinit/99_10_mount_no_mtd')
-rw-r--r--package/base-files/files.old/lib/preinit/99_10_mount_no_mtd12
1 files changed, 12 insertions, 0 deletions
diff --git a/package/base-files/files.old/lib/preinit/99_10_mount_no_mtd b/package/base-files/files.old/lib/preinit/99_10_mount_no_mtd
new file mode 100644
index 000000000..c4f38e415
--- /dev/null
+++ b/package/base-files/files.old/lib/preinit/99_10_mount_no_mtd
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Copyright (C) 2006-2010 OpenWrt.org
+# Copyright (C) 2010 Vertical Communications
+
+do_mount_no_mtd() {
+ check_skip || {
+ mount_no_mtd
+ }
+}
+
+boot_hook_add preinit_mount_root do_mount_no_mtd
+